package yangtz.cs.liu.campus.service.impl.schoolXxfb;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import yangtz.cs.liu.campus.domain.schoolXxfb.SchoolXxfbTt;
import yangtz.cs.liu.campus.mapper.schoolXxfb.SchoolXxfbTtMapper;
import yangtz.cs.liu.campus.service.schoolXxfb.ISchoolXxfbTtService;
import yangtz.cs.liu.campus.vo.schoolXxfb.XxfbTitleVo;

import java.util.List;

@Service
public class SchoolXxfbTtServiceImpl extends ServiceImpl<SchoolXxfbTtMapper, SchoolXxfbTt> implements ISchoolXxfbTtService {
    @Override
    public XxfbTitleVo turnTitle(List<SchoolXxfbTt> ttList) {
        XxfbTitleVo vo = new XxfbTitleVo();
        int i = 3;
        for(SchoolXxfbTt tt : ttList){
            switch (i){
                case 3 : vo.setRyCol3(tt.getTtName());break;
                case 4 : vo.setRyCol4(tt.getTtName());break;
                case 5 : vo.setRyCol5(tt.getTtName());break;
                case 6 : vo.setRyCol6(tt.getTtName());break;
                case 7 : vo.setRyCol7(tt.getTtName());break;
                case 8 : vo.setRyCol8(tt.getTtName());break;
                case 9 : vo.setRyCol9(tt.getTtName());break;
                case 10 : vo.setRyCol10(tt.getTtName());break;
                case 11 : vo.setRyCol11(tt.getTtName());break;
                case 12 : vo.setRyCol12(tt.getTtName());break;
                case 13 : vo.setRyCol13(tt.getTtName());break;
                case 14 : vo.setRyCol14(tt.getTtName());break;
                case 15 : vo.setRyCol15(tt.getTtName());break;
                case 16 : vo.setRyCol16(tt.getTtName());break;
                case 17 : vo.setRyCol17(tt.getTtName());break;
                case 18 : vo.setRyCol18(tt.getTtName());break;
                case 19 : vo.setRyCol19(tt.getTtName());break;
                case 20 : vo.setRyCol20(tt.getTtName());break;
                case 21 : vo.setRyCol21(tt.getTtName());break;
                case 22 : vo.setRyCol22(tt.getTtName());break;
                case 23 : vo.setRyCol23(tt.getTtName());break;
                case 24 : vo.setRyCol24(tt.getTtName());break;
                case 25 : vo.setRyCol25(tt.getTtName());break;
                case 26 : vo.setRyCol26(tt.getTtName());break;
                case 27 : vo.setRyCol27(tt.getTtName());break;
                case 28 : vo.setRyCol28(tt.getTtName());break;
                case 29 : vo.setRyCol29(tt.getTtName());break;
                case 30 : vo.setRyCol30(tt.getTtName());break;
                case 31 : vo.setRyCol31(tt.getTtName());break;
                case 32 : vo.setRyCol32(tt.getTtName());break;
                case 33 : vo.setRyCol33(tt.getTtName());break;
                case 34 : vo.setRyCol34(tt.getTtName());break;
                case 35 : vo.setRyCol35(tt.getTtName());break;
                case 36 : vo.setRyCol36(tt.getTtName());break;
                case 37 : vo.setRyCol37(tt.getTtName());break;
                case 38 : vo.setRyCol38(tt.getTtName());break;
                case 39 : vo.setRyCol39(tt.getTtName());break;
                case 40 : vo.setRyCol40(tt.getTtName());break;
                case 41 : vo.setRyCol41(tt.getTtName());break;
                case 42 : vo.setRyCol42(tt.getTtName());break;
                case 43 : vo.setRyCol43(tt.getTtName());break;
                case 44 : vo.setRyCol44(tt.getTtName());break;
                case 45 : vo.setRyCol45(tt.getTtName());break;
                case 46 : vo.setRyCol46(tt.getTtName());break;
                case 47 : vo.setRyCol47(tt.getTtName());break;
                case 48 : vo.setRyCol48(tt.getTtName());break;
                case 49 : vo.setRyCol49(tt.getTtName());break;
                case 50 : vo.setRyCol50(tt.getTtName());break;
                case 51 : vo.setRyCol51(tt.getTtName());break;
                case 52 : vo.setRyCol52(tt.getTtName());break;
                case 53 : vo.setRyCol53(tt.getTtName());break;
                case 54 : vo.setRyCol54(tt.getTtName());break;
                case 55 : vo.setRyCol55(tt.getTtName());break;
                case 56 : vo.setRyCol56(tt.getTtName());break;
                case 57 : vo.setRyCol57(tt.getTtName());break;
                case 58 : vo.setRyCol58(tt.getTtName());break;
                case 59 : vo.setRyCol59(tt.getTtName());break;
                case 60 : vo.setRyCol60(tt.getTtName());break;
                case 61 : vo.setRyCol61(tt.getTtName());break;
                case 62 : vo.setRyCol62(tt.getTtName());break;
                case 63 : vo.setRyCol63(tt.getTtName());break;
                case 64 : vo.setRyCol64(tt.getTtName());break;
                case 65 : vo.setRyCol65(tt.getTtName());break;
                case 66 : vo.setRyCol66(tt.getTtName());break;
                case 67 : vo.setRyCol67(tt.getTtName());break;
                case 68 : vo.setRyCol68(tt.getTtName());break;
                case 69 : vo.setRyCol69(tt.getTtName());break;
                case 70 : vo.setRyCol70(tt.getTtName());break;
                case 71 : vo.setRyCol71(tt.getTtName());break;
                case 72 : vo.setRyCol72(tt.getTtName());break;
                case 73 : vo.setRyCol73(tt.getTtName());break;
                case 74 : vo.setRyCol74(tt.getTtName());break;
                case 75 : vo.setRyCol75(tt.getTtName());break;
            }
            i++;
        }
        return vo;
    }
}
